## com.arsdigita.cms.docmgr.ui.tree
Class DocFolderContentTreeRenderer

    java.lang.Object
      com.arsdigita.cms.docmgr.ui.tree.DocFolderContentTreeRenderer

All Implemented Interfaces:
  com.arsdigita.bebop.tree.TreeCellRenderer

public class DocFolderContentTreeRenderer
extends Object
implements com.arsdigita.bebop.tree.TreeCellRenderer

Customized Bebop Tree that shows the accessible Repositories at the root level and the inidividual File trees beneath it. The root level is constructed expanded.

Author:
  Stefan Deusch

Field Summary

Fields inherited from interface com.arsdigita.bebop.tree.TreeCellRenderer
`versionId`

Constructor Summary
`DocFolderContentTreeRenderer()`

Method Summary
`com.arsdigita.bebop.Component` `getComponent(com.arsdigita.bebop.Tree tree, com.arsdigita.bebop.PageState state, Object value, boolean isSelected, boolean isExpanded, boolean isLeaf, Object key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocFolderContentTreeRenderer

    public DocFolderContentTreeRenderer()

Method Detail

### getComponent

    public com.arsdigita.bebop.Component getComponent(com.arsdigita.bebop.Tree tree,
                                                      com.arsdigita.bebop.PageState state,
                                                      Object value,
                                                      boolean isSelected,
                                                      boolean isExpanded,
                                                      boolean isLeaf,
                                                      Object key)

  Specified by:
    `getComponent` in interface `com.arsdigita.bebop.tree.TreeCellRenderer`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC